com.independentsoft.exchange

## Class EndDateRecurrenceRange

- java.lang.Object
- - com.independentsoft.exchange.EndDateRecurrenceRange

- All Implemented Interfaces:
    RecurrenceRange

      public class EndDateRecurrenceRange
      extends java.lang.Object
      implements RecurrenceRange

  Describes the start date and the end date of an item recurrence pattern.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EndDateRecurrenceRange()` Initializes a new instance of the EndDateRecurrenceRange class.
    `EndDateRecurrenceRange(java.util.Date startDate, java.util.Date endDate)` Initializes a new instance of the EndDateRecurrenceRange class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getEndDate()` Gets the end date of a recurring task or calendar item.
    `java.util.Date` | `getStartDate()` Gets the start date of a recurring task or calendar item.
    `void` | `setEndDate(java.util.Date endDate)` Sets the end date of a recurring task or calendar item.
    `void` | `setStartDate(java.util.Date startDate)` Sets the start date of a recurring task or calendar item.
    `java.lang.String` | `toString()` Converts the value of the current EndDateRecurrenceRange object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EndDateRecurrenceRange

          public EndDateRecurrenceRange()

      Initializes a new instance of the EndDateRecurrenceRange class.

    - #### EndDateRecurrenceRange

          public EndDateRecurrenceRange(java.util.Date startDate,
                                        java.util.Date endDate)

      Initializes a new instance of the EndDateRecurrenceRange class.
      Parameters:
        `startDate` - the start date
        `endDate` - the end date

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current EndDateRecurrenceRange object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getStartDate

          public java.util.Date getStartDate()

      Gets the start date of a recurring task or calendar item.
      Returns:
        the start date

    - #### setStartDate

          public void setStartDate(java.util.Date startDate)

      Sets the start date of a recurring task or calendar item.
      Parameters:
        `startDate` - the new start date

    - #### getEndDate

          public java.util.Date getEndDate()

      Gets the end date of a recurring task or calendar item.
      Returns:
        the end date

    - #### setEndDate

          public void setEndDate(java.util.Date endDate)

      Sets the end date of a recurring task or calendar item.
      Parameters:
        `endDate` - the new end date